in scala.runtime.compat
object Platform

`object` Platform
  `extends` java.lang.Object
  `with` scala.ScalaObject

Constructor Summary
| `def` this

Def Summary
| `def` arraycopy ( src : java.lang.Object , srcPos : scala.Int , dest : java.lang.Object , destPos : scala.Int , length : scala.Int ) : scala.Unit
| `def` currentThread : java.lang.Thread
| `def` getClass ( obj : java.lang.Object ) : java.lang.Class
| `def` getClassName ( obj : java.lang.Object ) : java.lang.String
| `def` getMessage ( exc : java.lang.Throwable ) : java.lang.String
| `def` isDigit ( c : scala.Char ) : scala.Boolean
| `def` parseByte ( s : java.lang.String ) : scala.Byte
| `def` parseDouble ( s : java.lang.String ) : scala.Double
| `def` parseFloat ( s : java.lang.String ) : scala.Float
| `def` parseInt ( s : java.lang.String ) : scala.Int
| `def` parseLong ( s : java.lang.String ) : scala.Long
| `def` parseShort ( s : java.lang.String ) : scala.Short
| `def` printStackTrace ( exc : java.lang.Throwable ) : scala.Unit
| `def` split ( str : java.lang.String , separator : scala.Char ) : scala.Array[java.lang.String]

Constructor Detail

`def` this

Def Detail

`def` arraycopy ( src : java.lang.Object , srcPos : scala.Int , dest : java.lang.Object , destPos : scala.Int , length : scala.Int ) : scala.Unit

`def` currentThread : java.lang.Thread

`def` getClass ( obj : java.lang.Object ) : java.lang.Class

`def` getClassName ( obj : java.lang.Object ) : java.lang.String

`def` getMessage ( exc : java.lang.Throwable ) : java.lang.String

`def` isDigit ( c : scala.Char ) : scala.Boolean

`def` parseByte ( s : java.lang.String ) : scala.Byte

`def` parseDouble ( s : java.lang.String ) : scala.Double

`def` parseFloat ( s : java.lang.String ) : scala.Float

`def` parseInt ( s : java.lang.String ) : scala.Int

`def` parseLong ( s : java.lang.String ) : scala.Long

`def` parseShort ( s : java.lang.String ) : scala.Short

`def` printStackTrace ( exc : java.lang.Throwable ) : scala.Unit

`def` split ( str : java.lang.String , separator : scala.Char ) : scala.Array[java.lang.String]